ATAN(3)

NAME
atan - arc tangent function of one variable

SYNOPSIS
#include <math.h>
double
atan(double x);
long double
atanl(long double x);
float
atanf(float x);

DESCRIPTION
The atan() function computes the principal value of the arc tangent of x. The result is in the range [-/2, +/2].

SPECIAL VALUES
atan(±0) returns ±0.

atan(±infinity) returns ±pi/2

VECTOR OPERATIONS
If you need to apply the atan() function to SIMD vectors or arrays, using the following functions provided by the Accelerate.framework may give significantly better performance:

#include <Accelerate/Accelerate.h>

vFloat vatanf(vFloat x);
void vvatanf(float *y, const float *x, const int *n);
void vvatan(double *y, const double *x, const int *n);

SEE ALSO
acos(3), asin(3), atan2(3), cos(3), cosh(3), sin(3), sinh(3), tan(3), tanh(3), math(3) The atan() function conforms to ISO/IEC 9899:2011.